Arthas 用户文档
===

**[English Docs](https://arthas.aliyun.com/doc/en/)**

## Arthas（阿尔萨斯） 能为你做什么？

![](arthas.png)

`Arthas` 是Alibaba开源的Java诊断工具，深受开发者喜爱。

当你遇到以下类似问题而束手无策时，`Arthas`可以帮助你解决：

0. 这个类从哪个 jar 包加载的？为什么会报各种类相关的 Exception？
0. 我改的代码为什么没有执行到？难道是我没 commit？分支搞错了？
0. 遇到问题无法在线上 debug，难道只能通过加日志再重新发布吗？
0. 线上遇到某个用户的数据处理有问题，但线上同样无法 debug，线下无法重现！
0. 是否有一个全局视角来查看系统的运行状况？
0. 有什么办法可以监控到JVM的实时运行状态？
0. 怎么快速定位应用的热点，生成火焰图？
0. 怎样直接从JVM内查找某个类的实例？

`Arthas`支持JDK 6+，支持Linux/Mac/Windows，采用命令行交互模式，同时提供丰富的 `Tab` 自动补全功能，进一步方便进行问题的定位和诊断。


**如果您在使用Arthas，请让我们知道，您的使用对我们非常重要：[查看](https://github.com/alibaba/arthas/issues/111)**

Contents
--------

* [首页](https://arthas.aliyun.com/)
* [English Docs](https://arthas.aliyun.com/doc/en/)
* [在线教程(katacoda)](https://arthas.aliyun.com/doc/arthas-tutorials.html?language=cn)
* [在线教程(阿里云)](https://start.aliyun.com/handson-lab?category=arthas)
* [安装](install-detail.md)
* [下载](download.md)
* [快速入门](quick-start.md)
* [进阶使用](advanced-use.md)
* [命令列表](commands.md)
* [WebConsole](web-console.md)
* [Arthas Tunnel](tunnel.md)
* [Http API](http-api.md)
* [Docker](docker.md)
* [Arthas Spring Boot Starter](spring-boot-starter.md)
* [IDEA 插件](idea-plugin.md)
* [用户案例](https://github.com/alibaba/arthas/issues?q=label%3Auser-case)
* [FAQ/常见问题](faq.md)
* [Star me at GitHub](https://github.com/alibaba/arthas)
* [编译调试/参与贡献](https://github.com/alibaba/arthas/blob/master/CONTRIBUTING.md#)
* [Release Notes](https://github.com/alibaba/arthas/releases)
* [QQ群/钉钉群](contact-us.md)


